/**
 * Copyright (C) 2007-2013 Lawrence Murray
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * @author Lawrence Murray <lawrence@indii.org>
 * $Rev$
 * $Date$
 */
#include "IllumApp.hpp"

#include "IllumWindow.hpp"
#include "../images/illum.hpp"
#include "../../gui/Splash.hpp"

#include "wx/splash.h"

using namespace indii;

INDII_IMPLEMENT_APP(IllumApp)

void IllumApp::splash() {
  illum_initialize_images();
  wxSplashScreen* splash = new wxSplashScreen(Splash(_img_illum_splash),
      wxSPLASH_CENTRE_ON_SCREEN|wxSPLASH_TIMEOUT, 5000, NULL, -1);
}

indii::Window* IllumApp::open(const wxString& file) {
  return new IllumWindow(NULL, file, IllumWindow::STANDALONE, this);
}

indii::Window* IllumApp::open() {
  return new IllumWindow(NULL, IllumWindow::STANDALONE, this);
}

BEGIN_EVENT_TABLE(IllumApp, App)
END_EVENT_TABLE()
